<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
///Главная
$diz -> head('Поиск человека');
$diz -> title('Поиск человека');
if (!isset($_POST['submit'])) {
$msg.='<div class="fon">';
$msg .= '<form action="poisk.php" method="POST"><div>';
$msg .= 'Тип поиска:<br/><select name="tip"><option value="id">По ID</option><option value="gorod">По городу</option><option value="login">По нику</option>
<option value="email">По email</option>
<option value="name">По имени</option><option value="icq">По icq</option></select><br/>';
$msg .= 'Запрос:<br/><input type="text" name="zap" value="" maxlength="40"/><br/>
<input type="submit" name="submit" value="Найти"/>
</div></form>';
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Личный кабинет</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
} elseif(mb_strlen($func -> delprobel($func ->delsim($_POST['zap']))) == 0)
{
$diz -> head('Соблюдай длину');
$diz -> title('Ошибка');
$msg.='<div class="fon">';
$msg.='Произошла ошибка!<br/><a href="./poisk.php">Поиск человека</a></div>';
} else {
$diz -> head('результат поиска');
$msg.='<div class="fon">';
$tip = shit($_POST['tip']);
$zap = shit($_POST['zap']);
if($tip!='login'){
$count = $db -> query("Select `id`,`login` FROM `users` WHERE `$tip` = '".$zap."'");
}else{
$count = $db -> query("Select `id`,`login` FROM `users` WHERE `login` like '%".$zap."%'");}
if($count-> num_rows > 0) {
if($tip!='login'){
$sql = $db -> query("SELECT `id`,`login` FROM `users` WHERE `$tip` = '".$zap."' ORDER BY `id` DESC");}else{
$sql = $db -> query("SELECT `id`,`login` FROM `users` WHERE `login` like '%".$zap."%' ORDER BY `id` DESC");}
while ($arr = $sql -> fetch_assoc()) {
$user = $arr['id'];
$msg .= ''.$func -> user($user).'<br/>';
}
} else $msg .= 'Человека с такими данными нет!';
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./poisk.php">Поиск человека</a></br>
'.$diz -> img('back.png').'<a href="./">Личный кабинет</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
    }
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
header('location: ../aut.php');
}
?>